import struct

#int, int, short, short, int                                                    
EVENT_FMT = 'iihhi'
EVENT_SIZE = struct.calcsize(EVENT_FMT)

DEVICE = "/dev/input/event2"

def sample():
    handle = open(DEVICE, 'rb')
    x = y = z = None

    while True:
        event = handle.read(EVENT_SIZE)
        if not event:
            return None

        (time1, time2, evType, code, value) = struct.unpack(EVENT_FMT, event)
        if evType == 2:                                                   
           if code == 0:                                           
               x = value                                       
           if code == 1:                                           
               y = value                                       
           if code == 2:                                           
               z = value                                       
        elif evType == 0 and code == 0:                                   
           t = time1 + (time2 / 1000000.0)                         
           if x != None and y != None and z != None:
               return t, (x, y, z)

    handle.close()

if __name__ == '__main__':
    import time
    while True:
        print sample()
        time.sleep(0.01)


